/** Title - Header **/
.drama-events--repertoar-archive--main {
    max-width: 680px;
}

.drama-events--repertoar-archive--main h1 {
    margin-top: 0;
    margin-bottom: 0;
}

/** Filters **/
.drama-event-filter--single.elementor-column .drama-events-form-filter-single {
    position: relative;
    height: 51px;
}

.drama-events-form-filter-single .event-filter--dropdown {
    appearance: none;
    position: relative;
    width: 100%;
    font-size: 1.4rem;
    font-weight: bold;
    color: var(--color-black);
    background-color: transparent;
    border: none;
    z-index: 8;
}

.drama-events-form-filter-single .event-filter--dropdown:focus {
    outline: none;
}

.drama-events-form-filter-single .filter-arrow {
    position: absolute;
    top: 50%;
    right: 0;
    width: 12px;
    height: 12px;
    border-left: 1px solid var(--color-brand-primary);
    border-bottom: 1px solid var(--color-brand-primary);
    z-index: 4;
    transform: translateY(-85%) rotate(-45deg);
}

/** Main Loop **/
.drama-events-archive--past-events {
    position: relative;
    margin-bottom: 160px;
}

.drama-events-archive--past-events .event-list-item {
    position: relative;
    max-width: 440px;
    min-height: 660px;
    margin-bottom: 80px;
    border-bottom: 8px solid var(--color-gray-80);
    transition: border-bottom-color var(--transition-time) ease;
}

.drama-events-archive--past-events .event-list-item:not(:nth-of-type(3n)) {
    margin-right: 40px;
}

.drama-events-archive--past-events .event-list-item:hover {
    border-bottom-color: var(--color-brand-primary);
}

@media (max-width: 1480px) {
    .drama-events-archive--past-events .event-list-item {
        max-width: calc(33.33% - 40px);
    }
}

@media (max-width: 1024px) {
    .drama-events-archive--past-events .event-list-item {
        max-width: calc(50% - 20px);
    }

    .drama-events-archive--past-events .event-list-item:not(:nth-of-type(3n)) {
        margin-right: 0;
    }
    .drama-events-archive--past-events .event-list-item:first-of-type,
    .drama-events-archive--past-events .event-list-item:not(:nth-of-type(2n)) {
        margin-right: 40px;
    }
}
@media (max-width: 767px) {
    .drama-events-archive--past-events .event-list-item {
        max-width: 440px;
        width: 100%;
        min-height: auto;
    }

    .drama-events-archive--past-events .event-list-item,
    .drama-events-archive--past-events .event-list-item:first-of-type,
    .drama-events-archive--past-events .event-list-item:not(:nth-of-type(2n)),
    .drama-events-archive--past-events .event-list-item:not(:nth-of-type(3n)) {
        margin-right: auto;
        margin-left: auto;
    }
}

.drama-events-archive--past-events .event-list-item .event-featured-img {
    position: relative;
    max-width: 440px;
    max-height: 293px;
    margin-bottom: 32px;
    overflow: hidden;
}

.drama-events-archive--past-events .event-list-item .event-featured-img img {
    transition: transform var(--transition-time) ease;
}

.drama-events-archive--past-events .event-list-item:hover .event-featured-img img {
    transform: scale(1.02);
}

.drama-events-archive--past-events .event-list-item .event-featured-img .svg-wrap {
    position: absolute;
    top: 50%;
    left: 50%;
    display: none;
    width: 64px;
    height: 64px;
    border-radius: 100%;
    background-color: var(--color-brand-primary);
    transform: translate(-50%, -50%);
}

.drama-events-archive--past-events .event-list-item:hover .event-featured-img .svg-wrap {
    display: flex;
}

.drama-events-archive--past-events .event-list-item:hover .event-featured-img .svg-wrap svg {
    width: 32px;
    height: 32px;
}

.drama-events-archive--past-events .event-list-item .venue,
.elementor-element.elementor-widget .venue {
    margin-bottom: 32px;
    font-size: 1.4rem;
    line-height: 2.14;
    color: var(--color-gray-40);
}

.drama-events-archive--past-events .event-list-item .venue > strong,
.elementor-element.elementor-widget .venue > strong {
    padding-bottom: 4px;
    border-bottom: 2px solid var(--color-gray-40);
}

.drama-events-archive--past-events .event-list-item .drama-event--author,
.elementor-element.elementor-widget .drama-event--author {
    margin-bottom: 8px;
    font-size: 2rem;
    font-weight: 300;
    line-height: 1.4;
}

.drama-events-archive--past-events .event-list-item .event-title {
    margin-bottom: 16px;
}

.drama-events-archive--past-events .event-list-item .event-title > a {
    font-size: inherit;
    color: inherit;
    text-decoration: underline transparent;
    transition: text-decoration-color var(--transition-time) ease;
}

.drama-events-archive--past-events .event-list-item .event-title > a:hover {
    text-decoration-color: inherit;
}

.drama-events-archive--past-events .event-list-item .drama-event--list-item--coproducer {
    margin-top: 16px;
    margin-bottom: 16px;
    font-size: 1.6rem;
    line-height: 1.5;
}

.drama-events-archive--past-events .event-list-item .drama-event--list-item--director,
.elementor-element.elementor-widget .drama-event--list-item--director {
    padding-bottom: 32px;
    margin-bottom: 0;
}

.drama-events-archive--past-events .event-list-item .drama-event--list-item--director strong > a,
.elementor-element.elementor-widget .drama-event--list-item--director strong > a {
    color: inherit;
    text-decoration: underline transparent;
    transition: text-decoration-color var(--transition-time) ease;
}

.drama-events-archive--past-events .event-list-item .drama-event--list-item--director strong:hover > a,
.elementor-element.elementor-widget .drama-event--list-item--director strong:hover > a {
    text-decoration-color: inherit;
}

.drama-events-archive--past-events .event-list-item .drama-event--list-item--premier,
.elementor-element.elementor-widget .drama-event--list-item--premier {
    padding-top: 16px;
    margin-bottom: 16px;
    border-top: 1px solid var(--color-gray-80);
}

.drama-events-archive--past-events .event-list-item .drama-event--list-item--premier {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
}

@media (max-width: 767px) {
    .drama-events-archive--past-events .event-list-item .drama-event--list-item--premier {
        position: static;
    }
}

/*** Loader ***/
.drama-events--loading-events {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background-color: rgba(0, 0, 0, .95);
    border-radius: 8px;
}

.drama-events--loading-events.hidden {
    display: none;
}

.drama-events--loading-events .loader-wrapper,
.drama-events--loading-events .label-wrapper {
    width: 100%;
}

.drama-events--loading-events div span {
    color: var(--color-white);
}

.drama-events--loading-events .loader-wrapper span.loader {
    width: 60px;
    height: 60px;
    font-size: 6rem;
    animation-name: drama-event-loader-spin;
    animation-duration: 2000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes drama-event-loader-spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}